CriteriaQueryTranslator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.criteria
Class CriteriaQueryTranslator

    java.lang.Object
      org.hibernate.loader.criteria.CriteriaQueryTranslator

All Implemented Interfaces:
  CriteriaQuery

    public class CriteriaQueryTranslator

extends Object
implements CriteriaQuery

Field Summary
`static String` | `ROOT_SQL_ALIAS`

Constructor Summary
`CriteriaQueryTranslator(SessionFactoryImplementor factory, CriteriaImpl criteria, String rootEntityName, String rootSQLAlias)`
`CriteriaQueryTranslator(SessionFactoryImplementor factory, CriteriaImpl criteria, String rootEntityName, String rootSQLAlias, CriteriaQuery outerQuery)`

Method Summary
`String[]` | `findColumns(String propertyName, Criteria subcriteria)` Get the names of the columns mapped by a property path; if the property path is not found in subcriteria, try the "outer" query.
`String` | `generateSQLAlias()`
`String` | `getColumn(Criteria criteria, String propertyName)` Get the names of the columns mapped by a property path, ignoring projection aliases
`String[]` | `getColumns(String propertyName, Criteria subcriteria)` Get the names of the columns mapped by a property path, ignoring projection aliases
`String[]` | `getColumnsUsingProjection(Criteria subcriteria, String propertyName)` Get the names of the columns constrained by this criterion.
`Criteria` | `getCriteria(String path)`
`String` | `getEntityName(Criteria criteria)` Get the entity name of an entity
`String` | `getEntityName(Criteria subcriteria, String propertyName)` Get the entity name of an entity, taking into account the qualifier of the property path
`SessionFactoryImplementor` | `getFactory()`
`String` | `getGroupBy()`
`String[]` | `getIdentifierColumns(Criteria subcriteria)` Get the identifier column names of this entity
`Type` | `getIdentifierType(Criteria subcriteria)` Get the identifier type of this entity
`JoinType` | `getJoinType(String path)`
`String` | `getOrderBy()`
`String[]` | `getProjectedAliases()`
`String[]` | `getProjectedColumnAliases()`
`Type[]` | `getProjectedTypes()`
`String` | `getPropertyName(String propertyName)` Get the property name, given a possibly qualified property name
`QueryParameters` | `getQueryParameters()`
`Set` | `getQuerySpaces()`
`CriteriaImpl` | `getRootCriteria()`
`String` | `getRootSQLALias()`
`String` | `getSelect()`
`String` | `getSQLAlias(Criteria criteria)` Get the root table alias of an entity
`String` | `getSQLAlias(Criteria criteria, String propertyName)` Get the root table alias of an entity, taking into account the qualifier of the property path
`int` | `getSQLAliasCount()`
`Type` | `getType(Criteria subcriteria, String propertyName)` Get the type of a property path, ignoring projection aliases
`TypedValue` | `getTypedIdentifierValue(Criteria subcriteria, Object value)`
`TypedValue` | `getTypedValue(Criteria subcriteria, String propertyName, Object value)` Get the a typed value for the given property value.
`Type` | `getTypeUsingProjection(Criteria subcriteria, String propertyName)` Get the type of a property path
`String` | `getWhereCondition()`
`String` | `getWithClause(String path)`
`boolean` | `hasProjection()`
`boolean` | `hasRestriction(String path)`
`boolean` | `isJoin(String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_SQL_ALIAS

    public static final String ROOT_SQL_ALIAS

See Also:
  Constant Field Values

Constructor Detail

### CriteriaQueryTranslator

    public CriteriaQueryTranslator(SessionFactoryImplementor factory,
                                   CriteriaImpl criteria,
                                   String rootEntityName,
                                   String rootSQLAlias,
                                   CriteriaQuery outerQuery)
                            throws HibernateException

Throws:
  `HibernateException`

### CriteriaQueryTranslator

    public CriteriaQueryTranslator(SessionFactoryImplementor factory,
                                   CriteriaImpl criteria,
                                   String rootEntityName,
                                   String rootSQLAlias)
                            throws HibernateException

Throws:
  `HibernateException`

Method Detail

### generateSQLAlias

    public String generateSQLAlias()

  Specified by:
    `generateSQLAlias` in interface `CriteriaQuery`

### getRootSQLALias

    public String getRootSQLALias()

### isJoin

    public boolean isJoin(String path)

### getJoinType

    public JoinType getJoinType(String path)

### getCriteria

    public Criteria getCriteria(String path)

### getQuerySpaces

    public Set getQuerySpaces()

### getSQLAliasCount

    public int getSQLAliasCount()

### getRootCriteria

    public CriteriaImpl getRootCriteria()

### getQueryParameters

    public QueryParameters getQueryParameters()

### hasProjection

    public boolean hasProjection()

### getGroupBy

    public String getGroupBy()

### getSelect

    public String getSelect()

### getProjectedTypes

    public Type[] getProjectedTypes()

### getProjectedColumnAliases

    public String[] getProjectedColumnAliases()

### getProjectedAliases

    public String[] getProjectedAliases()

### getWhereCondition

    public String getWhereCondition()

### getOrderBy

    public String getOrderBy()

### getFactory

    public SessionFactoryImplementor getFactory()

  Specified by:
    `getFactory` in interface `CriteriaQuery`

### getSQLAlias

    public String getSQLAlias(Criteria criteria)

  Description copied from interface: `CriteriaQuery`
  Get the root table alias of an entity

  Specified by:
    `getSQLAlias` in interface `CriteriaQuery`

### getEntityName

    public String getEntityName(Criteria criteria)

  Description copied from interface: `CriteriaQuery`
  Get the entity name of an entity

  Specified by:
    `getEntityName` in interface `CriteriaQuery`

### getColumn

    public String getColumn(Criteria criteria,
                            String propertyName)

  Description copied from interface: `CriteriaQuery`
  Get the names of the columns mapped by a property path, ignoring projection aliases

  Specified by:
    `getColumn` in interface `CriteriaQuery`

### getColumnsUsingProjection

    public String[] getColumnsUsingProjection(Criteria subcriteria,
                                              String propertyName)
                                       throws HibernateException

  Get the names of the columns constrained by this criterion.

  Specified by:
    `getColumnsUsingProjection` in interface `CriteriaQuery`
  Throws:
    `HibernateException`

### getIdentifierColumns

    public String[] getIdentifierColumns(Criteria subcriteria)

  Description copied from interface: `CriteriaQuery`
  Get the identifier column names of this entity

  Specified by:
    `getIdentifierColumns` in interface `CriteriaQuery`

### getIdentifierType

    public Type getIdentifierType(Criteria subcriteria)

  Description copied from interface: `CriteriaQuery`
  Get the identifier type of this entity

  Specified by:
    `getIdentifierType` in interface `CriteriaQuery`

### getTypedIdentifierValue

    public TypedValue getTypedIdentifierValue(Criteria subcriteria,
                                              Object value)

  Specified by:
    `getTypedIdentifierValue` in interface `CriteriaQuery`

### getColumns

    public String[] getColumns(String propertyName,
                               Criteria subcriteria)
                        throws HibernateException

  Description copied from interface: `CriteriaQuery`
  Get the names of the columns mapped by a property path, ignoring projection aliases

  Specified by:
    `getColumns` in interface `CriteriaQuery`
  Throws:
    `HibernateException`

### findColumns

    public String[] findColumns(String propertyName,
                                Criteria subcriteria)
                         throws HibernateException

  Get the names of the columns mapped by a property path; if the property path is not found in subcriteria, try the "outer" query. Projection aliases are ignored.

  Specified by:
    `findColumns` in interface `CriteriaQuery`
  Throws:
    `HibernateException`

### getTypeUsingProjection

    public Type getTypeUsingProjection(Criteria subcriteria,
                                       String propertyName)
                                throws HibernateException

  Description copied from interface: `CriteriaQuery`
  Get the type of a property path

  Specified by:
    `getTypeUsingProjection` in interface `CriteriaQuery`
  Throws:
    `HibernateException`

### getType

    public Type getType(Criteria subcriteria,
                        String propertyName)
                 throws HibernateException

  Description copied from interface: `CriteriaQuery`
  Get the type of a property path, ignoring projection aliases

  Specified by:
    `getType` in interface `CriteriaQuery`
  Throws:
    `HibernateException`

### getTypedValue

    public TypedValue getTypedValue(Criteria subcriteria,
                                    String propertyName,
                                    Object value)
                             throws HibernateException

  Get the a typed value for the given property value.

  Specified by:
    `getTypedValue` in interface `CriteriaQuery`
  Throws:
    `HibernateException`

### getEntityName

    public String getEntityName(Criteria subcriteria,
                                String propertyName)

  Description copied from interface: `CriteriaQuery`
  Get the entity name of an entity, taking into account the qualifier of the property path

  Specified by:
    `getEntityName` in interface `CriteriaQuery`

### getSQLAlias

    public String getSQLAlias(Criteria criteria,
                              String propertyName)

  Description copied from interface: `CriteriaQuery`
  Get the root table alias of an entity, taking into account the qualifier of the property path

  Specified by:
    `getSQLAlias` in interface `CriteriaQuery`

### getPropertyName

    public String getPropertyName(String propertyName)

  Description copied from interface: `CriteriaQuery`
  Get the property name, given a possibly qualified property name

  Specified by:
    `getPropertyName` in interface `CriteriaQuery`

### getWithClause

    public String getWithClause(String path)

### hasRestriction

    public boolean hasRestriction(String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.